#include <stdio.h>
#include <stdlib.h>
#include <graph.h>
#include <time.h>
#include "images.h"

int main(void){
	InitialiserGraphique();
	char tirage[50], affichage[10];
	int pos_x, pos_y, clic_x, clic_y, im_y, im_x;
	int i, j, g;
	int nb, score=0;
	int tab[40];
	int nb_paires=20;
	int positions[20][4];
	
	ChargerImage("Images/background.png",0,0,0,0,1024,576);
	
	/*Initialisation des tableaux*/
	for (i=0;i<20;i++){
		for (j=0;j<2;j++){
			positions[i][j]=0;
		}
	}
	for (i=0;i<40;i++){
		tab[i]=0;
	}
	
	/*Tirage des images*/
	srand(time(NULL));
	for (i=0;i<2;i++){	
		for (j=0;j<nb_paires+1;j++){
			nb=rand()%(nb_paires*2);
			if (tab[nb]!=0){
				j--;
			}
			else{
				tab[nb]=j;
			}
		}
	}
	
	
	/*Affichage des images*/
	srand(time(NULL));
	i=0;
	for (pos_y=10;pos_y<380;pos_y=pos_y+90){
		for (pos_x=10;pos_x<650;pos_x=pos_x+90){
			if (tab[i]==0){
				pos_y=1000;
			}
			if (positions[tab[i]][0]==0){
				positions[tab[i]][0]=pos_x;
				positions[tab[i]][1]=pos_y;
			}
			else{
				positions[tab[i]][2]=pos_x;
				positions[tab[i]][3]=pos_y;
			}
			/*Triche*/
			snprintf(tirage,50,"Images/image%d.png",tab[i]);
			ChargerImage(tirage,pos_x,pos_y,0,0,80,80);
			i++;
			
			//ChargerImage("Images/image0.png",pos_x,pos_y,0,0,80,80);
		}
	}
	
	/*for (i=0;i<20;i++){
		printf("%03d", i);
		printf("   ");
	}
	printf("\n");
	for (j=0;j<4;j++){
		for (i=0;i<20;i++){
			printf("%03d", positions[i][j]);
			printf("   ");
		}
		printf("\n");
	}*/
	/*while(score==20){*/
		while (SourisCliquee()==0){
			clic_x=_X;
			clic_y=_Y;
		}
	
			
		for (pos_y=380;pos_y>10;pos_y=pos_y-90){
			if (clic_y>=pos_y){
				if (clic_y<=pos_y+90){
					im_y=pos_y;
					pos_y=0;
				}
			}
		}
		for (pos_x=650;pos_x>10;pos_x=pos_x-90){
			if (clic_x>=pos_x){
				if (clic_x<=pos_x+90){
					im_x=pos_x;
					pos_x=0;
				}
			}
		}
		
		for (i=0;i<20;i++){
			for (j=0;j<2;j++){
				if (positions[i][(j*2)]==im_x){
					if (positions[i][(j*2+1)]==im_y){
						g=i+1;
						snprintf(affichage,10,"Images/image%d.png",g);
						ChargerImage(affichage,pos_x,pos_y,0,0,80,80);
					}
				}
			}
		}
	/*}*/
	Touche();
	FermerGraphique();
	printf("\n");
	return EXIT_SUCCESS;
}



